OpenVDB 3.2.0

Public Types | Public Member Functions | Public Attributes | List of all members
ExpandNarrowbandMask< TreeType > Struct Template Reference

`#include <LevelSetUtil.h>`

## Public Types
typedef TreeType::template ValueConverter< bool >::Type | BoolTreeType
typedef BoolTreeType::LeafNodeType | BoolLeafNodeType
typedef BoolTreeType::Ptr | BoolTreeTypePtr

## Public Member Functions
| ExpandNarrowbandMask (const TreeType &tree, std::vector< BoolTreeTypePtr > &segments)
void | operator() (const tbb::blocked_range< size_t > &range) const

## Public Attributes
TreeType const *const | mTree
BoolTreeTypePtr *const | mSegments

## Member Typedef Documentation

## ◆ BoolLeafNodeType

typedef BoolTreeType::LeafNodeType BoolLeafNodeType

## ◆ BoolTreeType

typedef TreeType::template ValueConverter<bool>::Type BoolTreeType

## ◆ BoolTreeTypePtr

typedef BoolTreeType::Ptr BoolTreeTypePtr

## Constructor & Destructor Documentation

## ◆ ExpandNarrowbandMask()

ExpandNarrowbandMask | ( | const TreeType & | tree,
|  | std::vector< BoolTreeTypePtr > & | segments
| ) |  |
| inline

## Member Function Documentation

## ◆ operator()()

void operator() | ( | const tbb::blocked_range< size_t > & | range | ) | const
| inline

## Member Data Documentation

## ◆ mSegments

BoolTreeTypePtr* const mSegments

## ◆ mTree

TreeType const* const mTree

The documentation for this struct was generated from the following file:

- LevelSetUtil.h